Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Deployment_Configuration Class Reference

A class that provides strategies on deployment topology. More...

`#include <Deployment_Configuration.h>`

Collaboration diagram for CIAO::Deployment_Configuration:

[legend]
List of all members.

## Public Types
typedef CIAO::Deployment_Configuration::_activator_info | Activator_Info
## Public Member Functions
| Deployment_Configuration (CORBA::ORB_ptr o)
virtual | ~Deployment_Configuration (void)
| Destructor.
int | init (const char *filename)
virtual const char * | get_activator_ior (const char *name)
virtual const char * | get_default_activator_ior ()
virtual Components::Deployment::ServerActivator_ptr | get_activator (const char *name ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual Components::Deployment::ServerActivator_ptr | get_default_activator (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
## Protected Attributes
CORBA::ORB_var | orb_
ACE_Hash_Map_Manager_Ex< ACE_CString, Activator_Info, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | deployment_info_
Activator_Info | default_activator_

## Detailed Description

A class that provides strategies on deployment topology.

This class provides strategies on how the Assembly framework should deploy an assembly. This is achieved by providing mappings from deployment destination names to actually CIAO daemon IORs, and the strategy for which default CIAO daemon a deployment mechanism should use.

This is a trivial implementation of the deployment configuration strategy. We can enhance this class later on to provide different deployment location strategies.

## Member Typedef Documentation

typedef struct CIAO::Deployment_Configuration::_activator_info CIAO::Deployment_Configuration::Activator_Info

## Constructor & Destructor Documentation

CIAO::Deployment_Configuration::Deployment_Configuration | ( | CORBA::ORB_ptr | o | ) |

CIAO::Deployment_Configuration::~Deployment_Configuration | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

Components::Deployment::ServerActivator_ptr CIAO::Deployment_Configuration::get_activator | ( | const char *name | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

  | Return values:
  | nil | if no valid name were found.

const char * CIAO::Deployment_Configuration::get_activator_ior | ( | const char * | name | ) | `[virtual]`

  | Return values:
  | 0 | if no valid name were found. When `name` = 0, then this function behave exactly as get_default_activator_ior.

Components::Deployment::ServerActivator_ptr CIAO::Deployment_Configuration::get_default_activator | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[virtual]`

  | Return the reference to the default ServerActivator the Assembly mechanism should use to deploy a component. Return values:
  | nil | if no valid daemon is configured.

const char * CIAO::Deployment_Configuration::get_default_activator_ior | ( |  | ) | `[virtual]`

  | Return the default ServerActivator the Assembly mechanism should use to deploy a component. In this implementation, the first entry in the deployment configuration data file is always the entry for default activator. Return values:
  | 0 | if no valid daemon is configured.

int CIAO::Deployment_Configuration::init | ( | const char * | filename | ) |

  | Init method takes the filename to a configuration file which has a simple line format of name, ior string delimited by a space in each line. name IOR-string Return values:
  | 0 | on success.
  | -1 | otherwise.

## Member Data Documentation

Activator_Info CIAO::Deployment_Configuration::default_activator_`[protected]`

ACE_Hash_Map_Manager_Ex<ACE_CString, Activator_Info, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> CIAO::Deployment_Configuration::deployment_info_`[protected]`

CORBA::ORB_var CIAO::Deployment_Configuration::orb_`[protected]`

The documentation for this class was generated from the following files:

- Deployment_Configuration.h
- Deployment_Configuration.cpp